
/**
 *  Файл chiefred.default.js - стандартный Java-скрипт для отображения статьи,
 *  загруженной по API ChiefRed.com
 *
 *  НЕ РЕДАКТИРУЙТЕ ЭТОТ ФАЙЛ!!!
 *
 *  При последующих обновлениях плагина он будет замещаться и все Ваши изменения пропадут.
 *  Создайте новый файл с именем chiefred.js в той же папке, скопируйте в него содержимое
 *  этого файла и там уже вносите свои правки.
 *
 */

var chiefred_scrollpath = 0;
jQuery( document ).scroll(function()
{
    chiefred_scrollpath++;
});

jQuery( document ).ready(function()
{
    var chiefred_wu_submit = function(e)
    {
        var wu_type = (e.target.id == 'chiefred-swu-no') ? 'useless' : 'error';
        var message = (wu_type == 'useless') ? jQuery('#chiefred-twu-no').val() : jQuery('#chiefred-twu-error').val();
        jQuery.ajax({
            type: "POST",
            url: jQuery('#chiefred-was-usefull').data('href'),
            data: {
                article_id: jQuery('#chiefred-was-usefull').data('article-id'),
                type: wu_type,
                message: message,
                scrollpath: chiefred_scrollpath,
                chiefred_token: jQuery('#chiefred-was-usefull').data('nonce')
            },
            beforeSend: function (xhr) {
                xhr.setRequestHeader('X-WP-Nonce', jQuery('#chiefred-was-usefull').data('nonce'));
            },
            success: function(data)
            {
                console.log('chiefred-was-usefull: ok');
            },
            error: function(data)
            {
                console.log('error:', data);
            },
        });
        jQuery('#chiefred-was-usefull').html('<div id="chiefred-wu-is thanks">Спасибо!</div>');
    }

    jQuery('#chiefred-pwu-yes').hide();
    jQuery('#chiefred-bwu-yes').click(function()
    {
        jQuery('#chiefred-bwu-yes').addClass('active');
        jQuery('#chiefred-pwu-yes').show();
        jQuery('#chiefred-bwu-no').removeClass('active');
        jQuery('#chiefred-pwu-no').hide();
        jQuery('#chiefred-bwu-error').removeClass('active');
        jQuery('#chiefred-pwu-error').hide();
    });

    var chiefred_ta_lim = 1000;

    jQuery('#chiefred-pwu-no').hide();
    jQuery('#chiefred-bwu-no').click(function()
    {
        jQuery('#chiefred-bwu-yes').removeClass('active');
        jQuery('#chiefred-pwu-yes').hide();
        jQuery('#chiefred-bwu-no').addClass('active');
        jQuery('#chiefred-pwu-no').show();
        jQuery('#chiefred-twu-no').focus();
        jQuery('#chiefred-bwu-error').removeClass('active');
        jQuery('#chiefred-pwu-error').hide();
    });
    jQuery('#chiefred-swu-no').click(chiefred_wu_submit);
    var chiefred_twu_no_updated = function()
    {
        cur = chiefred_ta_lim - jQuery('#chiefred-twu-no').val().length;
        if (cur < 0) {
            jQuery('#chiefred-twu-no').val(jQuery('#chiefred-twu-no').val().substr(0, chiefred_ta_lim));
            cur = 0;
        }
        jQuery('#chiefred-lwu-no').html(cur);
    }
    chiefred_twu_no_updated();
    jQuery('#chiefred-twu-no').keyup(chiefred_twu_no_updated);
    jQuery('#chiefred-twu-no').change(chiefred_twu_no_updated);

    jQuery('#chiefred-pwu-error').hide();
    jQuery('#chiefred-bwu-error').click(function()
    {
        jQuery('#chiefred-bwu-yes').removeClass('active');
        jQuery('#chiefred-pwu-yes').hide();
        jQuery('#chiefred-bwu-no').removeClass('active');
        jQuery('#chiefred-pwu-no').hide();
        jQuery('#chiefred-bwu-error').addClass('active');
        jQuery('#chiefred-pwu-error').show();
        jQuery('#chiefred-twu-error').focus();
    });
    jQuery('#chiefred-swu-error').click(chiefred_wu_submit);
    var chiefred_twu_error_updated = function()
    {
        cur = chiefred_ta_lim - jQuery('#chiefred-twu-error').val().length;
        if (cur < 0) {
            jQuery('#chiefred-twu-error').val(jQuery('#chiefred-twu-error').val().substr(0, chiefred_ta_lim));
            cur = 0;
        }
        jQuery('#chiefred-lwu-error').html(cur);
    }
    chiefred_twu_error_updated();
    jQuery('#chiefred-twu-error').keyup(chiefred_twu_error_updated);
    jQuery('#chiefred-twu-error').change(chiefred_twu_error_updated);
});